Package: io.vertx.groovy.ext.shell.cli

## [Groovy] Class Completion

- io.vertx.groovy.ext.shell.cli.Completion

- The completion object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Completion (Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `complete(List<String> candidates)` End the completion with a list of candidates, these candidates will be displayed by the shell on the console.
    `void` | `complete(String value, boolean terminal)` End the completion with a value that will be inserted to complete the line.
    `Object` | `getDelegate()`
    `List<CliToken>` | `lineTokens()` @return Returns: the current line being completed as preparsed tokens
    `String` | `rawLine()` @return Returns: the current line being completed in raw format, i.e without any char escape performed
    `Session` | `session()` Returns: the shell current session, useful for accessing data like the current path for file completion, etc...
    `Vertx` | `vertx()` @return Returns: the current Vert.x instance

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### Completion(Object delegate)

  - ### Method Detail

    - #### void complete(List<String> candidates)

      End the completion with a list of candidates, these candidates will be displayed by the shell on the console.

      Parameters:
        `candidates` - the candidates

    - #### void complete(String value, boolean terminal)

      End the completion with a value that will be inserted to complete the line.

      Parameters:
        `value` - the value to complete with
        `terminal` - true if the value is terminal, i.e can be further completed

    - #### Object getDelegate()

    - #### List<CliToken> lineTokens()

      Returns:
        the current line being completed as preparsed tokens

    - #### String rawLine()

      Returns:
        the current line being completed in raw format, i.e without any char escape performed

    - #### Session session()

      Returns:
        the shell current session, useful for accessing data like the current path for file completion, etc...

    - #### Vertx vertx()

      Returns:
        the current Vert.x instance